BasicRadioButtonUI (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.basic.BasicRadioButtonUI class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI

- Direct Known Subclasses:
    `BasicCheckBoxUI`, `MetalRadioButtonUI`

      public class BasicRadioButtonUI
      extends BasicToggleButtonUI

  RadioButtonUI implementation for BasicRadioButtonUI

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Icon` | `icon` | The icon.

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicRadioButtonUI​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent b)` | Returns an instance of `BasicRadioButtonUI`.
    `Icon` | `getDefaultIcon​()` | Returns the default icon.
    `Dimension` | `getPreferredSize​(JComponent c)` | The preferred size of the radio button
    `protected String` | `getPropertyPrefix​()` | Returns the property prefix.
    `protected void` | `installDefaults​(AbstractButton b)` | Installs default properties.
    `protected void` | `installListeners​(AbstractButton button)` | Registers listeners.
    `void` | `paint​(Graphics g, JComponent c)` | paint the radio button
    `protected void` | `paintFocus​(Graphics g, Rectangle textRect, Dimension size)` | Paints focused radio button.
    `protected void` | `uninstallDefaults​(AbstractButton b)` | Uninstalls default properties.
    `protected void` | `uninstallListeners​(AbstractButton button)` | Unregisters listeners.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### icon

          protected Icon icon

      The icon.

  - ### Constructor Detail

    - #### BasicRadioButtonUI

          public BasicRadioButtonUI​()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent b)

      Returns an instance of `BasicRadioButtonUI`.
      Parameters:
        `b` - a component
      Returns:
        an instance of `BasicRadioButtonUI`

    - #### getPropertyPrefix

          protected String getPropertyPrefix​()

      Description copied from class: `BasicButtonUI`
      Returns the property prefix.
      Overrides:
        `getPropertyPrefix` in class `BasicToggleButtonUI`
      Returns:
        the property prefix

    - #### installDefaults

          protected void installDefaults​(AbstractButton b)

      Description copied from class: `BasicButtonUI`
      Installs default properties.
      Overrides:
        `installDefaults` in class `BasicButtonUI`
      Parameters:
        `b` - an abstract button

    - #### uninstallDefaults

          protected void uninstallDefaults​(AbstractButton b)

      Description copied from class: `BasicButtonUI`
      Uninstalls default properties.
      Overrides:
        `uninstallDefaults` in class `BasicButtonUI`
      Parameters:
        `b` - an abstract button

    - #### getDefaultIcon

          public Icon getDefaultIcon​()

      Returns the default icon.
      Returns:
        the default icon

    - #### installListeners

          protected void installListeners​(AbstractButton button)

      Description copied from class: `BasicButtonUI`
      Registers listeners.
      Overrides:
        `installListeners` in class `BasicButtonUI`
      Parameters:
        `button` - an abstract button

    - #### uninstallListeners

          protected void uninstallListeners​(AbstractButton button)

      Description copied from class: `BasicButtonUI`
      Unregisters listeners.
      Overrides:
        `uninstallListeners` in class `BasicButtonUI`
      Parameters:
        `button` - an abstract button

    - #### paint

          public void paint​(Graphics g,
                            JComponent c)

      paint the radio button
      Overrides:
        `paint` in class `BasicToggleButtonUI`
      Parameters:
        `g` - the `Graphics` context in which to paint
        `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

    - #### paintFocus

          protected void paintFocus​(Graphics g,
                                    Rectangle textRect,
                                    Dimension size)

      Paints focused radio button.
      Parameters:
        `g` - an instance of `Graphics`
        `textRect` - bounds
        `size` - the size of radio button

    - #### getPreferredSize

          public Dimension getPreferredSize​(JComponent c)

      The preferred size of the radio button
      Overrides:
        `getPreferredSize` in class `BasicButtonUI`
      Parameters:
        `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      Returns:
        a `Dimension` object containing given component's preferred size appropriate for the look and feel
      See Also:
        `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`